import DomWalker from './DomWalker';
import * as commonmark from 'commonmark';
import { Html2AstOptions, HtmlParser } from './Types';
export default class Converter {
    private parser;
    private options;
    constructor(parser: HtmlParser, options?: Html2AstOptions);
    convert(html: string): commonmark.Node;
    createConversion(domNode: Node, walker: DomWalker): NodeConversion;
}
export declare abstract class NodeConversion {
    protected children: Array<NodeConversion>;
    constructor(domWalker: DomWalker, converter: Converter);
    abstract execute(container?: commonmark.Node): commonmark.Node;
}
